#!/bin/bash

L=60
npoly1=2
nbead1=50
npoly2=3
nbead2=10

for i in {1..2}
do

mkdir REP${i}
cd REP${i}

cp ../REP0/multi_gen_poly_diff_len_DM.c++ .
cp ../REP0/run_multi_v2_DM.lam .

#CREATE PARAMETERS FILE
echo "variable seed equal ${RANDOM}" > parameters.dat
echo "variable seed2 equal ${RANDOM}" >> parameters.dat
echo "variable seedprob equal ${RANDOM}" >> parameters.dat

echo "variable L equal ${L}" >> parameters.dat
echo "variable npoly1 equal ${npoly1}" >> parameters.dat
echo "variable nbeads1 equal ${nbead1}" >> parameters.dat
echo "variable ntype1 equal 1" >> parameters.dat
echo "variable npoly2 equal ${npoly2}" >> parameters.dat
echo "variable nbeads2 equal ${nbead2}" >> parameters.dat
echo "variable ntype2 equal 1" >> parameters.dat

#CREATE INITIAL CONF FILE
c++ multi_gen_poly_diff_len_DM.c++ -o multi_gen_poly_diff_len_DM
./multi_gen_poly_diff_len_DM ${L} ${npoly1} ${nbead1} ${npoly2} ${nbead2}

#RUN SIM
~/lmp_mpi -in run_multi_v2_DM.lam

cd ../

done

